/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __BMP_185_H
#define __BMP_185_H

#ifdef __cplusplus
  extern "C" {
#endif
   
/* Includes ------------------------------------------------------------------*/
#include "stm32f1xx_hal.h"
		
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Private define ------------------------------------------------------------*/
    
/* USER CODE BEGIN Private defines */
typedef enum
{
    LPME1_ERROR = 0,
    LPME1_OK = 1
} lpme1_status_t; 

#define LPME1_I2C_ADRRESS  0x64
#define LPME1_HI2C hi2c1
#define LPME1_MAX_TIMEOUT 100

lpme1_status_t lpme1_read_buffer(uint8_t regaddr,uint8_t *buf,uint8_t len);
lpme1_status_t lpme1_get_acc(float *acc);     
//#define	BMP085_SlaveAddress	0x01DC	//IICеĴӵַ   
//#define OSS 1	//Oversampling Setting (note: code is not set up to use other OSS values)        

//void Init_BMP085(void);
//uint8_t Single_Read(uint8_t REG_Address);
//void  Multiple_Read(uint8_t,uint8_t);
//long bmp085ReadTemp(void);
//long bmp085ReadPressure(void);
//void bmp085Convert(void);

//extern void myIIC_Start(void);
//extern void myIIC_Stop(void);
//extern void myIIC_SendACK(uint8_t ack);
//extern uint8_t myIIC_RecvACK(void);
//extern void myIIC_SendByte(uint8_t dat);
//extern uint8_t myIIC_RecvByte(void);

/* USER CODE END Private defines */

/**
  * @}
  */ 

/**
  * @}
*/ 

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
